<!DOCTYPE html>
<html>
    <head>
        <!-- <link rel="stylesheet" href="../../assets/css/vuetify.min.css" /> -->
     
        <link rel="stylesheet" href="assets/css/vuetify.min.css" />
      </head>
<style>

.lobibox .lobibox-body {
    overflow: hidden !important;
    display: table !important;
    position: relative !important;
    width: 100% !important;
    padding: 10px 15px;
    background-color: rgba(255, 255, 255, 0.98) !important;
    font-size: 19px !important;
    text-align: center !important;
}
.btn-primary {
    color: #fff;
    background-color: #337ab7;
    border-color: #2e6da4;
}

.btn-default {
    color: #333;
    background-color: #fff;
    border-color: #ccc;
}
    .printBtn{
        position: absolute;
    right: 5%;
    z-index: 2;
    background: white;
    bottom: 101px !important;
}
.overflow-hidden{
    overflow: hidden;
}
.insurance_header{
    border-bottom: none!important;
}
.insurance_itnry{
    border-bottom: 2px solid white!important;
    border-radius: 9px!important;
}

h4{
    font-size: 16px;
}
.pt-3, .py-3 {
    padding-top: 1rem !important;
}

.pl-4, .px-4 {
    padding-left: 0.5rem!important;
}
.pr-4, .px-4 {
    padding-right: 0.5rem!important;
}
.breadcrumb-section{
    height: 326px !important;
}
.breadcrumb-section .back-btn{
    bottom: 144px !important;
}
.footerHeading:before{
    top: 51px !important;
}

.v-list-item__subtitle, .v-list-item__title {
    flex: 1 1 100% !important;
    overflow: hidden !important;
    text-overflow: ellipsis !important;
    white-space:normal !important;
}
</style>
  <body  ng-controller="insuranceItenenaryController" >
    <div id="app-2">
    


    <div class="main_container no-home">
      <section class="breadcrumb-section pt-0">
        <img
          src="assets/insurance/banner.jpg" style="    height: 325px;
          width: 10000px;"
          class="bg-img img-fluid blur-up lazyload"
          alt=""
        />
        <div class="flight-details text-center" ng-hide="confirmJsondata.error=='PF006'">
          <!-- <p class="route flight-count" >Insurance Itinerary Details</p> -->
          <p class="route flight-count" ng-show="confirmJsondata.data!=null">Booking Successful!!!</p>
          <p class="route flight-count" ng-show="confirmJsondata.data==null">Booking not completed!!!</p>
          <p class="route col-xs-12">{{confirmJsondata.data.originCity}} <span>&#8652;</span>{{confirmJsondata.data.destinationCity}} 
            <p class="other-details" ng-show="confirmJson!=null">Onward  : {{confirmJson.deptDate}} | Return  : {{confirmJson.arrDate}}</p>
            <p class="other-details" ng-show="confirmJson!=null">Passengers : Adult-{{confirmJson.adultCount}}, Child-{{confirmJson.childCount}}, Infant-{{confirmJson.infantCount}} 
        </p>
        </div>
        <div class="flight-details text-center" ng-show="confirmJsondata.error=='PF006'">
            <!-- <p class="route flight-count" >Insurance Itinerary Details</p> -->
            <p class="route flight-count">{{confirmJsondata.errorMessage}}</p>
        
  
          </div>
        <button class="btn back-btn"><a href="#!home"><i class="las la-arrow-left"></i> <span class="bck-btn"> Back</span></a></button>
        <div class="printBtn mb-2">
          <div class="btn-group" role="group" aria-label="..."  ng-show="confirmJsondata.data!=null">
            <!-- <button type="button" class="btn btn-default" ng-click="printDiv(insurancePrintDiv);"><i class="las la-print"></i></button> -->
            <button type="button" class="btn btn-default" data-toggle="modal" data-target="#myModal"><i class="las la-envelope"></i></button>
            <button type="button" class="btn btn-default" data-toggle="tooltip"
            title="Download" ng-click="fltDownload(flightprintDiv);"><i
                class="las la-download"></i></button>
                <!-- <button type="button" class="btn btn-default" ng-click="policyDownload();" data-toggle="tooltip"
                       title="Policy Download"><i
                    class="las la-download"></i></button> -->
          </div>
        </div>
    </section>

	
	<div class="container-fluid flight-container" id="insurancePrintDiv">
        <div class="px-4 py-3 mb-4 v-card v-sheet theme--light overflow-hidden" ng-show="confirmJsondata.data==null">
            <h4 class="filter-header mb-0   insurance_header"><i class="las la-city icon-text"></i> Travel Insurance
            </h4>
            <div class="row">
                <div class="col-md-4">
                    <div  class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div  class="v-item-group theme--light v-list-item-group primary--text">
                            <div 
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content">
                                    <div class="v-list-item__title">ClientRefNo</div>
                                    <div class="v-list-item__subtitle">{{clientRefNo}}</div>
                                </div>
                            </div>
                            </div>
                            </div>
                </div>
                <div class="col-md-4">
                    <div  class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div  class="v-item-group theme--light v-list-item-group primary--text">
                            <div 
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content">
                                    <div class="v-list-item__title">Payment Status</div>
                                    <div class="v-list-item__subtitle">Success</div>
                                </div>
                            </div>
                            </div>
                            </div>
                </div>
                <div class="col-md-4">
                    <div  class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div  class="v-item-group theme--light v-list-item-group primary--text">
                            <div 
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content"  ng-hide="confirmJsondata.error=='PF006'">
                                    <div class="v-list-item__title" >Booking Status</div>
                                    <div class="v-list-item__subtitle">Failed</div>
                                </div>
                                <div class="v-list-item__content" ng-show="confirmJsondata.error=='PF006'">
                                    <div class="v-list-item__title">Booking Status</div>
                                    <div class="v-list-item__subtitle">Pending</div>
                                </div>
                            </div>
                            </div>
                            </div>
                </div>
                </div>
                <!-- <div class="row">
                    <div class="col-md-12">
                        {{confirmJsondata.errorMessage}}
                        </div>
                        </div> -->
                        <div class="row">
                            <div class="col-md-12">
                                <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                                    <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                                        <div tabindex="0" role="listitem" aria-selected="false"
                                            class="v-list-item v-list-item--link theme--light">
                                            <div class="v-list-item__content">
                                                <!-- <div class="v-list-item__title">Message</div> -->
                                                <div class="v-list-item__title">{{confirmJsondata.errorMessage}}</div>
                                                </div>
                                                </div>
                                                </div>
                                                </div>
                                </div>
                                </div>
                           
        </div>
	<div class="px-4 py-3 mb-4 v-card v-sheet theme--light" ng-show="confirmJsondata.data!=null">
        <h4 class="filter-header mb-0   insurance_header"><i class="las la-city icon-text"></i> Travel Insurance
        </h4>
        <div class="row  insurance_itnry">
            <div class="col-md-3">
                <div  class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                    <div  class="v-item-group theme--light v-list-item-group primary--text">
                        <div 
                            class="v-list-item v-list-item--link theme--light">
                            <div class="v-list-item__content">
                                <div class="v-list-item__title">Client RefNo</div>
                                <div class="v-list-item__subtitle">{{confirmJson.clientRefNo}}</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <div  class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                    <div  class="v-item-group theme--light v-list-item-group primary--text">
                        
                        <div 
                            class="v-list-item v-list-item--link theme--light">
                            <div class="v-list-item__content">
                                <div class="v-list-item__title">Booking RefNo</div>
                                <div class="v-list-item__subtitle">{{confirmJson.docketNo}}</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <div class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                    <div  class="v-item-group theme--light v-list-item-group primary--text">
                        <div 
                            class="v-list-item v-list-item--link theme--light">
                            <div class="v-list-item__content">
                                <div class="v-list-item__title">Travel On</div>
                                <div class="v-list-item__subtitle">{{confirmJson.deptDate}}</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <div  class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                    <div  class="v-item-group theme--light v-list-item-group primary--text">
                        
                        <div 
                            class="v-list-item v-list-item--link theme--light">
                            <div class="v-list-item__content">
                                <div class="v-list-item__title">Status</div>
                                <div class="v-list-item__subtitle"> <span aria-atomic="true" aria-label="Badge" aria-live="polite" role="status" class="v-badge__badge green " style="inset: auto auto calc(-5% - 4px) calc(0% - 4px); background-color: #4caf50!important;
                                    border-color: #4caf50!important;">
                                        {{confirmJson.bookingStatus}}
                                    </span></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <div  class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                    <div  class="v-item-group theme--light v-list-item-group primary--text">
                        <div role="listitem" aria-selected="false"
                            class="v-list-item v-list-item--link theme--light">
                            <div class="v-list-item__content">
                                <!-- <div class="v-list-item__title">Arrival City</div> -->
                                <div class="v-list-item__title">Departure City</div>
                                <div class="v-list-item__subtitle">{{confirmJson.originCity}}</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <div  class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                    <div class="v-item-group theme--light v-list-item-group primary--text">
                        <div   aria-selected="false"
                            class="v-list-item v-list-item--link theme--light">
                            <div class="v-list-item__content">
                                <!-- <div class="v-list-item__title">Departure City</div> -->
                                <div class="v-list-item__title">Arrival City</div>
                                <div class="v-list-item__subtitle">{{confirmJson.destinationCity}}</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <div  class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                    <div class="v-item-group theme--light v-list-item-group primary--text">
                        <div  
                            class="v-list-item v-list-item--link theme--light">
                            <div class="v-list-item__content">
                                <div class="v-list-item__title">Expires On</div>
                                <div class="v-list-item__subtitle"><span ng-show="confirmJson.arrDate">{{confirmJson.arrDate}}</span><span ng-hide="confirmJson.arrDate">{{confirmJson.deptDate}}</span></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
			      <div class="col-md-3">
                <div  class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                    <div class="v-item-group theme--light v-list-item-group primary--text">
                        <div  
                            class="v-list-item v-list-item--link theme--light">
                            <div class="v-list-item__content">
                                <div class="v-list-item__title">Total Fare</div>
                                <div class="v-list-item__subtitle">{{confirmJson.currencyCode}} {{confirmJson.totalFare}}</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- <div class="col-md-4 mt-5"><a href="#">Dowload Policy</a></div> -->
        </div>
    </div>
    <div class="px-4 py-3 mb-4 v-card v-sheet theme--light" ng-show="confirmJsondata.data!=null">
        <h4 class="filter-header"><i class="las la-user-circle icon-text"></i> Passenger Details
        </h4>
        <div class="v-data-table theme--light">
            <div class="v-data-table__wrapper">
                <table>
                    <thead>
                        <tr>
                            <th class="text-left">Type</th>
                            <th class="text-left">Title</th>
                            <th class="text-left">Given Name</th>
                            <th class="text-left">Sur Name</th>
                            <th class="text-left">Mobile</th>
                            <th class="text-left">Policy No</th>
                        </tr>
                    </thead>
                    <tbody >
                        <tr ng-repeat="listOfPass in confirmJson.insuranceDtlsBeanList">
                            <td>{{listOfPass.paxType}}</td>
                            <td>{{listOfPass.salutation}}</td>
                            <td>{{listOfPass.firstName}}</td>
                            <td>{{listOfPass.lastName}}</td>
                            <td>{{listOfPass.mobile}}</td>
                            <td>{{listOfPass.policyNo}}</td>
                            
						<!-- <td class="col-md-4 mt-5"><a ng-click="viewPolicy();">Download Policy</a></td>  -->
                        </tr>
                      
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div class="px-4 py-3 mb-4 v-card v-sheet theme--light" ng-show="confirmJsondata.data!=null">
        <div class="review-section">
            <h4 class="filter-header">Insurance Details</h4>
            <div class="review_box" >
                <div class="flight_detail" >
                    <div class="row" ng-repeat="item in confirmJson.insuranceMasterBeanList">
                        <div class="col-md-12 px-0">
                            <div class="airport-part book-summary">
                                <div class="col-md-3">
                                     <p class="dateTime" style="font-size:18px">{{item.planTitle}}</p>
                                </div>
                                <div class="col-md-8">
                                    <span ng-bind-html="renderHTMLFactory.renderHTML(item.planContent)"></span>
                                </div>
                                <div class="col-md-1">
                                    <td class="col-md-4 mt-5"><a style="cursor:pointer;" class="clr-primary" ng-click="viewPolicy(item.policyUrl);">Download Policy</a></td> 
                                </div>
                            </div>
                        </div>
                        <!-- <div class="col-md-3">
                            <div class="duration">
                                <div>
                                    <p>Total Fare</p>
                                    <h6>{{confirmJson.insurance[0].totalFare|number:2}}</h6>
                                </div>
                            </div>
                        </div> -->
                      
                    </div>
                    <!-- <div class="row" >
                        <div class="col-md-6">
                            <p>You have your own travel insurance.</p>
                        </div>
                    </div> -->
                </div>
            </div>
         

        </div>
    </div>
    <div class="px-4 py-3 mb-4 v-card v-sheet theme--light">
        <h4 class="filter-header mb-0"><i class="las la-question-circle icon-text"></i> Booking Queries
        </h4>
        <div class="row">
            <div class="col-md-4  col-sm-12 col-xs-12">
                <div class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                    <div class="v-item-group theme--light v-list-item-group primary--text">
                        <div tabindex="0" role="listitem" aria-selected="false"
                            class="v-list-item v-list-item--link theme--light">
                            <div class="v-list-item__content">
                                <div class="v-list-item__title">E-Mail</div>
                                <div class="v-list-item__subtitle">{{agnecyEmail}}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-4 col-sm-12 col-xs-12">
                <div  class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                    <div  class="v-item-group theme--light v-list-item-group primary--text">
                        <div 
                            class="v-list-item v-list-item--link theme--light">
                            <div class="v-list-item__content">
                                <div class="v-list-item__title">Phone</div>
                                <div class="v-list-item__subtitle">{{agencyPhoneNo}}</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
	
    
    </div>



</div>


<div class="modal fade" id="myModal" role="dialog">
    <div class="modal-dialog">
    
      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
         
          <h4 class="modal-title">Mail Sender</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
            <div class="col-md-12">
                <form name="sendingForm" id="sendingForm" ng-submit="sendMailId(sendingForm.$valid);" novalidate="novalidate">
                    <div class="row">
                        <div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">
                        <div class="form-group">
                            <label class=""><span class="star">E-mail</span></label>
                            <div ng-class="{'has-error' :sendingForm.registerEmail1.$invalid &amp;&amp; userRegFormSubmit}">
                            <input type="email" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,}$" id="registerEmail1" name="registerEmail1" placeholder="Enter your email id..." class="form-control required" required="" ng-model="userCreationReqst.loginid"/>
                            </div>
                            </div>
                        </div>
                        <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6" style="margin-top: 7%;">
                            <div class="form-group">
                              
                            <button type="submit" ng-disabled="disableAccount" class="applyBtn btn btn-primary" name="" >Send </button>
                            </div>
                        </div>
                        </div>
                </form>
            </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>
      
    </div>
  </div>
  </body>



  <script>

  </script>
</html>
